//import org.kde.qt.QApplication;
//import org.kde.qt.QDir;
import org.kde.qt.*;

public class DirTest {	
	public static void main(String[] args)
	{
		QApplication myapp = new QApplication(args);
		
		QDir mydir = new QDir("/tmp");
		if ( mydir.match(new String [] {"*.bmp", "*.h"}, "foobar.bmp") ) {
			System.out.println("foobar matches");
		}
		
		if ( ! mydir.match(new String[] {"*.bmp", "*.h"}, "baz.cpp") ) {
			System.out.println("baz doesn't match");
		}

		QFile myobj = new QFile();
		Object mytest;
		System.out.println("myobj: " + myobj.toString());
		mytest = (QDir) Qt.dynamicCast("QDir", myobj);
		System.out.println("mytest: " + mytest.toString());
		return;
	}
	
	static {
		qtjava.initialize();
	}
}
